Summary:	Screen magnifier for KDE4
Name:		kmag
Version:	17.12.3
Release:	1
Epoch:		2
License:	GPLv2+ and GFDL
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/applications/utilities/kmag/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	qaccessibilityclient-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KMag is a small utility for Linux to magnify a part of the screen. KMag is very
useful for people with visual disabilities and for those working in the fields
of image analysis, web development etc.

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING.DOC README TODO
%{_kde5_applicationsdir}/org.kde.kmag.desktop
%{_kde5_bindir}/kmag
%{_kde5_datadir}/kmag
%{_kde5_iconsdir}/hicolor/*/*/kmag*
%{_kde5_mandir}/man1/kmag.1.*
%{_kde5_xmlguidir}/kmag/kmagui.rc
%{_appdatadir}/org.kde.kmag.appdata.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

# Drop for now to avoid file conflicts with kde-l10n
rm -rf %{buildroot}%{_mandir}/*/man1/kmag.1

%find_lang %{name} --with-html --with-kde
%kf5locales_fix %{name}.lang

%changelog

* Tue Mar 20 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.12.3-1
- (7931862) Update files
- (Andrey Bondrov: db02d11) New version 17.12.3

* Thu Nov 09 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.08.2-1
- (656979c) New version 17.08.2
- (656979c) Switch to KF5

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.3-1
- (af701f5) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.2-1
- (56d447d) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.3-1
- (1a3a5e6) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.2-1
- (50a921f) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-2
- (d49206b) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-1
- (84d44e4) New version 16.12.1

* Mon Oct 31 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-1
- (376b4d6) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-2
- (27fbb6e) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-1
- (b57de28) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.3-1
- (687df3b) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:4.13.2-2
- (5217615) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.2-1
- (ff073ab) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.4-1
- (ae56c1d) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.3-1
- (75c8457) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.4-1
- (79e36b4) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.3-1
- (f16282c) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.2-1
- (bb0762d) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.5-1
- (8ed0706) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.4-1
- (ad124e7) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.3-1
- (1dfb955) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.5-1
- (65da5b0) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.4-1
- (a2a49a0) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.3-1
- (9e2dd9b) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.2-1
- (b388f84) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.1-1
- (15ccbc0) New version 4.9.1

* Tue Aug 14 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.0-1
- (b4152a5) New version 4.9.0

* Sat Jul 21 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.8.97-1
- (812f95a) New version 4.8.97


